var linkterkait=(function(){
	var hal=0;
	var jumlah=30;
	var idlinkterkait=0;
	var boxgambar=null;
	var boxurutan=null;
	var idgambar=0;
	return{
		caricanggih:function(){
			mload.sh();
			var ik_data = {ajax: 1,mode: "mod",cl: "linkterkait",
				ikdata: {0:"datacari01",1:1}
			};
			
			$.ajax({url: lokal+"man.ajax.php",type: "POST",dataType: "json",async:true,data: ik_data,
				success: function(e){
					mload.hd();
					if(e!=false){
						var boxcari;
						var obj=new Object;
						obj.proses=function(a){
							$("#cari").val(a);
							boxcari.tutup();
							document.getElementById("btcari").click();
						};
						var datacari={"data":e,"proses":obj}
						boxcari=caricanggih.buka(datacari);
					}
				}
			});
		},
		enter:function(e){
			if(e.which == 13 || e.keyCode == 13){
				linkterkait.loade();
			}
		},
		loade:function(){
			$("#hal_ke").val(0);
			linkterkait.load();
		},
		load:function(){
			var nohal=$("#hal_ke").val()
			jumlah=$("#jumlah_hal").val();
			hal=(nohal-1)*jumlah;
			var cr=$("#cari").val();
			
			$("#grid_linkterkait").html("");
			var loaderdata=mload.loading({"el":"loader_data_link"});
			
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "linkterkait",
				ikdata: {0:"getTabel",1:hal,2:jumlah,3:cr}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					loaderdata.tutup();
					//alert(JSON.stringify(e));
					if(e!=false && e.length>0){
						
						if(e.length>0 && e[0]['halaman']>0){
							var htm;
							for(var i=0;i<e[0]['halaman'];i++){
								htm+="<option value='"+(i+1)+"'>"+(i+1)+"</option>";
							}
							$("#hal_ke").html(htm);
							
						}
						$("#hal_ke").val(nohal);
						
						var datatb={
							box:"grid_linkterkait",
							data:e,
							lebarmin:"500px",
							trklik:{"data":"id","fungsi":"barisklik"},
							title:"kategori Menu",
							isi:[
									{"col":"","judul":"No","tipe":"urut","align":"center","lebar":"50px","halaman":hal,"jumlah":jumlah},
									{"judul":"Detail Link","tipe":"tpl","tpl":"btdetaillink"},
									{"judul":"urutan","tipe":"tpl","tpl":"bturutan","lebar":"50px"},
									{"align":"center","judul":"Status","tipe":"tpl","tpl":"btstatus","lebar":"60px"},
									{"align":"center","judul":"","tipe":"tpl","tpl":"btedit","lebar":"60px"},
									
								],
							mod:"mod",
							module:"linkterkait"
						};
						tabel.multisub(datatb);
					}else{
						loaderdata.pesan("BELUM ADA DATA LINK TERKAIT");
					}
				}
			});
		},
		buat:function(a){
			document.location=lokal+"member/mod/linkterkait?id="+a+"&scrmenu="+modmenu.getmenuscr();
		},
		kembali:function(){
			document.location=lokal+"member/mod/linkterkait?scrmenu="+modmenu.getmenuscr();
		},
		edit:function(a){
			idlinkterkait=a['id'];
			idgambar=a['idgambar'];
			
			var namaawal=a['nama_awal'];
			var filelama=a['nama_baru'];
			var folder=a['folder'];
			var prev="tidak";
			if(idgambar>0){
				prev="ya";
			}
			$("#box_gambar_linkterkait").html("");
			upload.tambahupload("box_gambar_linkterkait",linkterkait.objupload(namaawal,prev,filelama,folder));
			
			var ted=tinymce.init({
                selector: "textarea#keterangan",
                theme: "modern",
                height: 200,
                relative_urls: false,
                menubar:false,
                remove_script_host: false,
                plugins: [
                     "advlist autolink link image lists charmap print preview hr anchor pagebreak spellchecker",
                     "searchreplace visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
                     "save table contextmenu directionality emoticons template paste textcolor"
                ],
            
                toolbar: "undo redo | styleselect | bold italic fontselect fontsizeselect | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent "
            });
			
		},
		simpan:function(){
			$("#loader_linkterkait").html("");
			var jd=$("#judul").val();
			var tt=$("#tautan").val();
			var ket=tinyMCE.get('keterangan').getContent();
			
			var err="";
			if(jd=="") err+="Judul linkterkait belum diisi.</br>";
			if(idgambar<=0) err+="linkterkait tidak/belum selesai di upload.</br>";
			if(err!=""){
				$("#loader_linkterkait").html(err);
				return;
			}
			
			var fg="inputlinkterkait";
			if(idlinkterkait>0){
				fg="editlinkterkait";
			}
			var loadersimpan=mload.loader({"keterangan":"Proses simpan data link..."});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "linkterkait",
				ikdata: {0:fg,judul:jd,tautan:tt,keterangan:ket,
					idgambar:idgambar,id:idlinkterkait}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					if(e==1){
						linkterkait.kembali();
					}else{
						loadersimpan.error([{"pesan":"Gagal simpan data link terkait."}]);
					}
				}
			});
		},
		hapus:function(a){
			if(a<=0) return;
			var boxyesno=null;
			var databox={
				judul:"Yakin akan menghapus data link ini ?? ",
				proses:function(){
					var loaderhapus=mload.loader({"keterangan":"Proses hapus data.."});
					boxyesno.tutup();
					var ik_data = {
						ajax: 1,
						mode: "mod",
						cl: "linkterkait",
						ikdata: {0:"hapusData",id:a}
					};
					
					$.ajax({
						url: lokal+"man.ajax.php",
						type: "POST",
						dataType: "json",
						async:true,
						data: ik_data,
						success: function(e){
							if(e==1){
								loaderhapus.error([{"pesan":"Berhasil"}]);
								linkterkait.load();
							}else{
								loaderhapus.error([{"pesan":"Gagal hapus data"}]);
							}
						}
					});
				}
			};
			boxyesno=boxwin.yesno(databox);
			boxyesno.buka();
		},
		ubahurutan:function(a,b,c,d){
			
			var ps={"box":"box_urutan",
					"judul":"Ubah urutan","tinggi":"auto","lebar":"400"};
		
			boxurutan=boxwin.load(ps);
			boxurutan.id=a;
			boxurutan.buka();
			
			$("#loader_simpan_urutan").html("");
			$("#urutan").val(tabel.gettabel(b).getdata(c,"urutan"));
		},
		simpanurutan:function(){
			$("#loader_simpan_urutan").html("");
			var urutan=$("#urutan").val();
			
			var loaderurutan=mload.loading({"el":"loader_simpan_urutan"});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "linkterkait",
				ikdata: {0:"ubahurutan",id:boxurutan.id,
					urutan:urutan}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					loaderurutan.tutup();
					if(e==1){
						linkterkait.load();
						linkterkait.batalurutan();
					}else{
						loaderurutan.pesan("Gagal update urutan!");
					}
				}
			});
		},
		batalurutan:function(){
			if(boxurutan!=null) boxurutan.tutup();
			boxurutan=null;
		},
		setstatus:function(a,b,c,d){
			var st=1;
			if(tabel.gettabel(b).getdata(c,"status")==1){
				st=0;
			}
			
			var loaderstatus=mload.loader({"keterangan":"Proses update status"});
			
			var ik_data = {ajax: 1,mode: "mod",cl: "linkterkait",
				ikdata: {0:"setStatus",status:st,id:a}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",type: "POST",dataType: "json",async:true,data: ik_data,
				success: function(e){
					
					if(e==1){
						loaderstatus.tutup();
						if(st==1){
							d.className="mini_ok";
						}else{
							d.className="mini_dis";
						}
						tabel.gettabel(b).setdata(c,"status",st);
					}else{
						loaderstatus.error([{"pesan":"Gagal update status"}]);
					}
				}
			});
		},
		lihatdokumen:function(a){
			var iddok=a;
			if(iddok<=0) return;
			var myWindow = window.open(lokal+"service.php?pos=linkterkait&mode=mod&fl=download&id="+iddok, "", "left=100,top=50,width=800, height=600");
		},
		objupload:function(a,b,c,d){
			var nama=a || "PILIH FILE UNTUK UPLOAD GAMBAR LINK";
			var prev=b || "tidak";
			var filelama=c || "";
			var folder=d || "";
			
			var obp=new Object;
			obp.proses=function(dataupload){
				idgambar=dataupload.id;
				nama=dataupload.nama;
				filelama=nama=dataupload.namabaru;
				folder=dataupload.folder;
				
				$("#box_gambar_linkterkait").html("");
				upload.tambahupload("box_gambar_linkterkait",linkterkait.objupload(nama,"ya",filelama,folder));
			};
			
			obp.hapus=function(a){
				
			};
			obp.lihat=function(a){
				linkterkait.lihatdokumen(idgambar);
			};
			
			obp.pilihfile=function(a){
				idgambar=0;
			};
			
			var dtpost={"jenis":2};
			var obj={"tautan":lokal+"service.php?pos=linkterkait&mode=mod&fl=upload",
				"status":lokal+"service.php?pos=linkterkait&mode=mod&fl=progres","tutup":"tidak","finish":obp,
				"data":dtpost,"namafile":nama,"preview":prev};
			return obj;
		},
	};
})();